
%define guiloader_version 2.12.0
%define guiloader_release 0.1
%define guiloader_package 2.12.0
%define guiloader_dep_glib 2.16
%define guiloader_dep_gtk 2.12

Name:           guiloader
Version:        %{guiloader_version}
Release:        %{guiloader_release}
Summary:        A high-performance and compact GuiXml loader library
Vendor:		      The Crow Designer Project

Group:          System Environment/Libraries
License:        MIT
URL:            http://crow-designer.sourceforge.net
Source0:        http://dl.sourceforge.net/crow-designer/%{name}-%{guiloader_package}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       glib2 >= %{guiloader_dep_glib}
Requires:       gtk2 >= %{guiloader_dep_gtk}

BuildRequires:  glib2-devel >= %{guiloader_dep_glib}
BuildRequires:  gtk2-devel >= %{guiloader_dep_gtk}
BuildRequires:  gettext

%description
GuiLoader is a high-performance and compact GuiXml loader library. This library allows GTK+ applications to create GUI widgets and objects at run-time from GuiXml resource files. GuiLoader is written in the C language as a GObject subclass and has a trivial language-independent API. GuiLoader was designed to be easily wrapped for any language that has GTK+ bindings.

%package devel
Summary:        Headers for developing programs that will use GuiLoader
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       pkgconfig

%description devel
This package contains the header files needed for developing GuiLoader applications.

%prep
%setup -q -n %{name}-%{guiloader_package}

%build
%configure --disable-static --disable-dependency-tracking --enable-hiddenvisibility
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING README NEWS
%{_libdir}/lib%{name}.so

%files devel
%defattr(-, root, root, -)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc

